Subject: bug#7403: Unused variable `$source' in the depcomp script?

From: Stefano Lattarini <[email-masked]>
Date: Sat, 20 Nov 2010 14:10:41 +0100

On Saturday 20 November 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Mon, Nov 15, 2010 at 01:03:04AM CET:
> >  $ grep '\<source\>' lib/depcomp 
> >    source      Source file read by `PROGRAMS ARGS'.
> >  if test -z "$depmode" || test -z "$source" || test -z "$object"; then
> >    echo "depcomp: Variables source, object and depmode must be set" 1>&2
> >      # the object too, otherwise makedepend will parse it as a source file.
> > 
> > Does this mean that the `$source' variable is really not required
> > by depcomp, or am I missing something?
> 
> It seems that $source is indeed not required.
> 
> I'd still be wary of removing it: users might have modified depcomp
> scripts which use the variable.  Yes, I consider that public API,
> documented in 'depcomp --help', and with example usage in the manual.
> 
> In a sort of transposed way, there are packages using depcomp (plus some
> custom macros) which do not use Automake; we should not break them
> either.
> 
Makes sense.  You can close the bug if you want (maybe with tag "wontfix"?)

Thanks,
   Stefano